package com.friday.operation.api.executor.constant;

/**
 * @Author YaoYao
 * @Date Created In 12:35 2022/11/25
 * @Description 策略业务类方法美枚举
 * @Modified By
 */
public enum BizStrategyMethod {
    CHECK_PARAM("checkParam","参数检查"),
    CREATE_JOB("createJobs","创建子任务"),
    EXECUTE_JOB("executeJob","执行子任务"),
    ON_JOB_STATE_CHANGE("onJobStateChange","子任务状态变化事件"),
    ON_TASK_STATE_CHANGE("onTaskStateChange","任务状态变化事件"),
    GET_TASK_RESULT("getTaskResult","获取任务执行结果"),
    GET_DATA("getData","查询数据"),
    SYNC_DATA("syncData","同步数据"),
    HANDLE_FILE("handleFile","文件处理")

    ;
    private String methodName;
    private String description;


    BizStrategyMethod(String methodName, String description) {
        this.methodName = methodName;
        this.description = description;
    }

    public String getMethodName() {
        return methodName;
    }

    public String getDescription() {
        return description;
    }
}
